import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.Animation";
import "Deusdictum.UI.DragBar";

player = Turbine.Gameplay.LocalPlayer.GetInstance();
pName = player:GetName();
pLevel = player:GetLevel();
sWidth = Turbine.UI.Display.GetWidth();

function loadSettings()
skullSettings=Turbine.PluginData.Load( Turbine.DataScope.Account, "Skull" );
if ( type( skullSettings ) ~= "table" ) then
		skullSettings = {bXset=(math.floor((sWidth-101)/2)),bYset=20};
	end
	if (skullSettings.bXset == nil)then
		skullSettings.bXset=800;
	end
	if (skullSettings.bYset == nil)then
		skullSettings.bYset=50;
	end
	return skullSettings;
end

function saveSettings(bXcoord,bYcoord)
	skullSettings.bXset=bXcoord;
	skullSettings.bYset=bYcoord;
	Turbine.PluginData.Save( Turbine.DataScope.Account, "Skull", skullSettings );
end

skullSettings = loadSettings();
local bXset = skullSettings.bXset;
local bYset = skullSettings.bYset;

bButton = Turbine.UI.Window();
bButton:SetOpacity(0.5);
bButton:SetMouseVisible (true);
bButton:SetBackColor(Turbine.UI.Color(1,1,1,1));
bButton:SetBlendMode(0);
bButton:SetVisible(true);
bButton:SetWantsUpdates(true);
bButton:SetPosition( bXset , bYset );
bButton:SetSize( 200 , 25 );
bButton.DragBar = Deusdictum.UI.DragBar( bButton, "Skull Bar" );

bText = Turbine.UI.Label();
bText:SetParent( bButton );
bText:SetBackColor(Turbine.UI.Color(1,0,0,1));
bText:SetSize( 198 , 23 );
bText:SetFont( Turbine.UI.Lotro.Font.TrajanProBold16 );
bText:SetForeColor( Turbine.UI.Color(1,1,1) );
bText:SetText( pName .. " - " .. pLevel );
bText:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
bText:SetPosition( 1 , 1 );
bText:SetMouseVisible (true);
bText:SetVisible(true);


function bText:MouseClick( args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		if ( not self.dragging ) then
			Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Vitals, true );
			bX, bY = bButton:GetPosition();
			saveSettings( bX, bY );
		end
	end
	
	if ( args.Button == Turbine.UI.MouseButton.Right ) then
		Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Vitals, false );

	end
end